DiseasePlowHealerRegister = {}
DiseasePlowHealerRegister.modDir = g_currentModDirectory

g_specializationManager:addSpecialization(
    "diseasePlowHealer",
    "DiseasePlowHealer",
    Utils.getFilename("scripts/specializations/DiseasePlowHealer.lua", DiseasePlowHealerRegister.modDir),
    nil
)

local function inject()
    local typesTbl = g_vehicleTypeManager and g_vehicleTypeManager.types or {}

    for typeName, vType in pairs(typesTbl) do
        local specs = vType.specializations or {}
        if SpecializationUtil.hasSpecialization(Plow, specs) and not SpecializationUtil.hasSpecialization(DiseasePlowHealer, specs) then
            g_vehicleTypeManager:addSpecialization(typeName, "diseasePlowHealer")
        end
    end
end

inject()
